Public Member Functions | Public Attributes | List of all members
libvisio::VSDGeometry Class Reference
Inheritance diagram for libvisio::VSDGeometry:

## Public Member Functions
| VSDGeometry (unsigned id, unsigned level, const boost::optional< bool > &noFill, const boost::optional< bool > &noLine, const boost::optional< bool > &noShow)
| ~VSDGeometry () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
bool | m_noFill
bool | m_noLine
bool | m_noShow

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDGeometry()

libvisio::VSDGeometry::VSDGeometry | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< bool > & | noFill,
|  | const boost::optional< bool > & | noLine,
|  | const boost::optional< bool > & | noShow )
| inline

## ◆ ~VSDGeometry()

libvisio::VSDGeometry::~VSDGeometry | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDGeometry::clone | ( |  | ) |
| override virtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDGeometry::handle | ( | VSDCollector * | collector | ) | const
| override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_noFill

bool libvisio::VSDGeometry::m_noFill

Referenced by handle().

## ◆ m_noLine

bool libvisio::VSDGeometry::m_noLine

Referenced by handle().

## ◆ m_noShow

bool libvisio::VSDGeometry::m_noShow

Referenced by handle().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp